Troubleshooting

From PopcornFX
Jump to: navigation, search

Here is the list of known problems with the editor. Please don't hesitate to send us your feedback and help improve the editor.


Error message saying: "Couldn't load assembly, corrupted dependencies or these dependencies are probably missing"

DirectX9 runtime may be missing => manually install the full redist http://www.microsoft.com/en-us/download/details.aspx?id=8109


Nothing happens at launch

DirectX9 runtime may be missing => manually install the full redist http://www.microsoft.com/en-us/download/details.aspx?id=8109


Empty layouts

Config files are missing or corrupted => menu "Layout", "View" and check the panels, then resize and redock them at your convenience. We'll provide default standard layouts in a near future.


Error unpacking PopcornFx package (for versions prior to 1.6.2)

It happens when the editor is being closed while downloading a package.

How to fix it :

  1. Open your file browser and go into your "C:\Users\Username\Documents\Persistant Studios\HH-Fx Projects\Packages" folder.
  2. Delete all folders ("1.5.5" and "1.6.0").
  3. Restart your editor and download our packages again (also, make sure that you have a stable internet connection).


Editor won't properly upgrade older packages imported into an existing project (v1.8.0, v1.8.1)

This happens when downloading one of the Sample online packages authored with v1.7.2 and v1.6.0, and importing them into one of your 1.8 projects. The upgrader will fail upgrading due to a bug in the editor code, but will still copy the resources over. you'll be left with a 1.8.* project containing non-upgraded 1.7.2 or 1.6.0 effects, that won't work properly.


This bug is fixed in PK-Editor 1.8.2. To work around it in 1.8.0 or 1.8.1, you can:

  1. Find the "LastRevision.txt" file inside your project folder
  2. open that file, it contains the version of the project, change it to 1.7.0.0000
  3. restart PK-Editor
  4. your project should now appear red (which means it's out of date)
  5. double click on it to open it, OR click on the upgrade button (the small arrow icon), this will pop the upgrade window
  6. click the 'Apply' button on the bottom left of the window, this will apply all pending upgrades.
  7. the error list should be empty. you'll have the list of files that were modified in the 'infos' tab
  8. if any of the two upgrades since 1.7.0 failed, it might be because some of your files were read-only, and the editor couldn't write them.


The list of all the things that the upgrader should have done:

  • scripts: replace 'SpawnerLifeRatio' by 'spawner.LifeRatio'
  • scripts: replace 'SpawnerRunningTime' by 'spawner.Age'
  • scripts: replace 'CurrentDate' by 'scene.Time'
  • trail evolver: rename the 'UseVelocityOrientedSpawnMatrix' property to 'UseOrientedSpawnMatrix'
  • texture sampler: set the new field 'SampleRawValues' to 'false' (default value is 'true') to avoid changing behavior of effect made with previous versions.